Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.PagingSealConfig Class Reference

## Public Member Functions
| constructor (paging_seal_position, offset, first_page_percent, is_on_perforation, paging_seal_style, is_display_multiple_seal, page_count_for_each_seal)
| Constructor, with parameter. More...
| Set (paging_seal_position, offset, first_page_percent, is_on_perforation, paging_seal_style, is_display_multiple_seal, page_count_for_each_seal)
| Set value. More...

## Public Attributes
is_on_perforation | __pad0__: boolean paging_seal_style
| Decide whether to chop a seal that covering the left or right margin of each two pages. true means the paging seal signatures will be added to pages in pairs, and the parameter paging_seal_position and the parameter first_page_percent will have no effect. false means not.
is_display_multiple_seal | __pad1__: boolean page_count_for_each_seal
| Decide whether to display multiple paging seal appearance for current paging seal signature. true means to display multiple paging seal appearance, each count pages use one paging seal appearance, count is set by page_count_for_each_seal. While false means not. This parameter has no effect when the parameter is_on_perforation is true.
| first_page_percent
| The percent of the first paging seal. The rest percent will be divided equally by the other paging seals. This parameter should bigger than 0.0, less than 1.0.
| offset
| The offset of paging seal signature. More...
| paging_seal_position
| The position of paging seal. Please refer to values starting from FSDK.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.

## Static Public Attributes
static | e_PagingSealPositionBottom
| Bottom Paging Seal.
static | e_PagingSealPositionLeft
| Enumeration for paging seal position. More...
static | e_PagingSealPositionRight
| Right Paging Seal.
static | e_PagingSealPositionTop
| Top Paging Seal.
static | e_PagingSealStyleMultipleSignatures
| Enumeration for paging seal signature style. More...
static | e_PagingSealStyleOneSignature
| Only add one signature. This signature is used for signature and verification and will be hidden in the PDF document. Use the FSDK.PagingSeal annotation to display the appearance of paging seal signature.

## Detailed Description

This class represents paging seal configuration. This configuration can be set by function FSDK.PagingSealSignature.SetPagingSealConfig.

## Member Function Documentation

## ◆ constructor()

FSDK.PagingSealConfig.constructor | ( | paging_seal_position | ,
|  | offset | ,
|  | first_page_percent | ,
|  | is_on_perforation | ,
|  | paging_seal_style | ,
|  | is_display_multiple_seal | ,
|  | page_count_for_each_seal |
| ) |  |

Constructor, with parameter.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from FSDK.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from FSDK.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

## ◆ Set()

FSDK.PagingSealConfig.Set | ( | paging_seal_position | ,
|  | offset | ,
|  | first_page_percent | ,
|  | is_on_perforation | ,
|  | paging_seal_style | ,
|  | is_display_multiple_seal | ,
|  | page_count_for_each_seal |
| ) |  |

Set value.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from FSDK.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from FSDK.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

Returns
  None.

## Member Data Documentation

## ◆ e_PagingSealPositionLeft

FSDK.PagingSealConfig.e_PagingSealPositionLeft
| static

Enumeration for paging seal position.

Values of this enumeration should be used alone.

Left Paging Seal.

## ◆ e_PagingSealStyleMultipleSignatures

FSDK.PagingSealConfig.e_PagingSealStyleMultipleSignatures
| static

Enumeration for paging seal signature style.

Values of this enumeration should be used alone.

Add multiple signatures. Use the FSDK.Signature to display the appearance of paging seal signature, and these signatures share the same signature data.

## ◆ offset

FSDK.PagingSealConfig.offset

The offset of paging seal signature.

This value should not be a negative number. The maximum value of offset is the value of page width or page height minus the width or height of rectangle of paging seal signature. If offset bigger than the maximum value, the maximum will be used.

- For top paging seal and bottom paging seal, this value will be the horizontal offset of the left of signature rectangle.
- For right paging seal,left paging seal, this value will be the vertical offset of the bottom of signature rectangle.
- For the parameter is_on_perforation is true, this value will be the vertical offset of the bottom of signature rectangle.